Package org.eclipse.emf.cdo.lm.reviews

# Interface ModelReference.Extractor.Registry

All Superinterfaces:
  `Comparable<org.eclipse.net4j.util.container.ContainerElementList.Prioritized>`, `org.eclipse.net4j.util.container.ContainerElementList.Prioritized`, `org.eclipse.net4j.util.container.IContainer<ModelReference.Extractor>`, `org.eclipse.net4j.util.event.INotifier`, `ModelReference.Extractor`

All Known Implementing Classes:
  `ModelReferenceExtractorRegistry`

Enclosing interface:
  ModelReference.Extractor

public static interface ModelReference.Extractor.Registry extends ModelReference.Extractor, org.eclipse.net4j.util.container.IContainer<ModelReference.Extractor>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.lm.reviews.ModelReference.Extractor

`ModelReference.Extractor.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ModelReference.Extractor.Registry`
`INSTANCE`

### Fields inherited from interface org.eclipse.emf.cdo.lm.reviews.ModelReference.Extractor

`PRODUCT_GROUP`

## Method Summary

Modifier and Type
Method
Description
`ModelReference.Extractor[]`
`getExtractors()`

### Methods inherited from interface org.eclipse.net4j.util.container.ContainerElementList.Prioritized

`compareTo, getPriority`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.ModelReference.Extractor

`extractModelReference`

## Field Details

### INSTANCE

static final ModelReference.Extractor.Registry INSTANCE

## Method Details

### getExtractors

ModelReference.Extractor[] getExtractors()